SoTypeList(3IV)

NAME
SoTypeList — maintains a list of SoTypes

INHERITS FROM
SbPList > SoTypeList

SYNOPSIS
#include <Inventor/SoLists.h>

Methods from class SoTypeList:

SoTypeList()

SoTypeList(int size)

SoTypeList(const SoTypeList &l)

~SoTypeList()
void
append(SoType type)
void
insert(SoType *type, int addBefore)
void
set(int i, SoType *type)
int
find(SoType typeId) const
SoType
operator [](int i) const

Methods from class SbPList:

void
remove(int which)
int
getLength() const
void
truncate(int start)
void
copy(const SbPList &pl)
SbPList &
operator =(const SbPList &pl)
int
operator ==(const SbPList &pl) const
int
operator !=(const SbPList &pl) const

DESCRIPTION
This subclass of SbPList holds lists of SoType type identifiers.

METHODS

SoTypeList()
Constructor.

SoTypeList(int size)
Constructor that pre-allocates storage for size types.

SoTypeList(const SoTypeList &l)
Constructor that copies the contents of another list.

~SoTypeList()
Destructor.

void
append(SoType type)
Adds a type to the end of the list.

void
insert(SoType *type, int addBefore)
Inserts given type in list before type with given index.

void
set(int i, SoType *type)
Sets an element of a list.

int
find(SoType typeId) const
Returns index of given type in list, or -1 if not found.

SoType
operator [](int i) const
Accesses an element of a list.

SEE ALSO
SoType